%define name logilab-common
%define version 0.21.0
%define release alt1

%setup_python_module %name

Summary: useful miscellaneous modules used by Logilab projects
Name: %packagename
Version: %version
Release: %release
Source0: %modulename-%version.tar.gz
License: GPL
Group: Development/Python
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Logilab <devel@logilab.fr>
Packager: Andrey Khavryuchenko <akhavr@altlinux.org>
Provides: logilab.common
Url: http://www.logilab.org/projects/common
Requires: python-module-egenix-mx-base

%add_python_req_skip logilab

%description
logilab-common is a collection of low-level Python packages and modules,
 designed to ease:
  * handling command line options and configuration files
  * writing interactive command line tools
  * manipulation files and character strings
  * interfacing to OmniORB (removed by packager)
  * generating of SQL queries
  * running unit tests
  * manipulating tree structures
  * accessing RDBMS (currently postgreSQL, mysql and sqlite)
  * generating text and HTML reports
  * logging

This module is build for python %__python_version

%package -n python-module-%modulename-test
Summary: useful miscellaneous modules used by Logilab projects
Group: Development/Python
Prefix: %{_prefix}
Requires: python-module-%modulename = %version

%description -n python-module-%modulename-test
logilab-common is a collection of low-level Python packages and modules,
 designed to ease:
  * handling command line options and configuration files
  * writing interactive command line tools
  * manipulation files and character strings
  * interfacing to OmniORB (removed by packager)
  * generating of SQL queries
  * running unit tests
  * manipulating tree structures
  * accessing RDBMS (currently postgreSQL, mysql and sqlite)
  * generating text and HTML reports
  * logging

This module is build for python %__python_version.

Install python-module-%modulename-test if you need unit tests for this module

%prep
%setup -q -n %modulename-%version

%build
rm corbautils.py
env CFLAGS="$RPM_OPT_FLAGS" %__python setup.py build

%install
%__python setup.py install --root=%buildroot --optimize=2 --record=INSTALLED_FILES

grep test INSTALLED_FILES > INSTALLED_TESTS
grep -v test INSTALLED_FILES > INSTALLED_FILES2

%files -f INSTALLED_FILES2
%doc announce.txt ChangeLog DEPENDS doc README 

%files -n python-module-%modulename-test -f INSTALLED_TESTS

%changelog
* Wed Dec 6 2006 Andrey Khavryuchenko <akhavr@altlinux.org> 0.21.0-alt1
- Initial build for ALT Linux
